5.9      Field Monitor Box

Field Monitor Box enables performing Fourier-transformation of the chosen field components, at specified frequencies in the circuit area limited by its dimensions. In QW-Simulator, magnitudes of these field components as well as real and imaginary parts of the Poynting vector (if available from the checked components) are accessible via Monitor tab commands. This way of watching the fields is complementary to their unconstrained Fields display.

 

The Monitor button  in the Model tab and Model->Monitor… command from main menu invoke the Create Field Monitor Box dialogue, which allows introducing Field Monitor Box into the project.


The box name in the Name field can be set. In the Geometry tab the user needs to define the dimensions of the Monitor box. It can be done in two ways. First one is using Bounding Box Offset option, where the Monitor box is drawn at the defined offset from the bounding box of the project structure. The offset is defined in project units for each direction and applies to each side from the structure.

Second solution is using Position option, where the user can choose Coordinates or Dimensions. While using Coordinates option the MinMax coordinates of the Monitor box in each direction should be defined. For the Dimensions option, length, width, and height of the Monitor box should be given together with the Min coordinates at which the box geometry starts.


The Postprocessing tab allows configuring the parameters of the Fields Monitor postprocessing.

 

It is advised to refer to Fields’ Monitoring for more information regarding fields’ monitors.



Python code

The python code, which can be useful when creating project scripts, generated by Create Field Monitor Box dialogue for default parameters:


from FreeCAD import Base

QW_Modeller.addQWObject("QW_Modeller::MonitorBox","FMBox")

App.ActiveDocument.FMBox.OffsetX = 10.00000

App.ActiveDocument.FMBox.OffsetY = 10.00000

App.ActiveDocument.FMBox.OffsetZ = 10.00000

App.ActiveDocument.FMBox.Length = 20.00000

App.ActiveDocument.FMBox.Width = 20.00000

App.ActiveDocument.FMBox.Height = 20.00000

App.ActiveDocument.FMBox.Placement = Base.Placement(Base.Vector(0.00000,0.00000,0.00000),Base.Rotation(0.00000,0.00000,0.00000,1.00000))

Gui.ActiveDocument.FMBox.ShowText = True

Gui.ActiveDocument.FMBox.TextSize = 14

App.ActiveDocument.QW_PostprocessingFieldMonitor.Active = True

App.ActiveDocument.QW_PostprocessingFieldMonitor.Sparsity = 1

App.ActiveDocument.QW_PostprocessingFieldMonitor.Ex = True

App.ActiveDocument.QW_PostprocessingFieldMonitor.Ey = True

App.ActiveDocument.QW_PostprocessingFieldMonitor.Ez = True

App.ActiveDocument.QW_PostprocessingFieldMonitor.Hx = True

App.ActiveDocument.QW_PostprocessingFieldMonitor.Hy = True

App.ActiveDocument.QW_PostprocessingFieldMonitor.Hz = True

App.ActiveDocument.QW_PostprocessingFieldMonitor.Frequencies = [10,25]

App.ActiveDocument.recompute()

Gui.SendMsgToActiveView("ViewFit")